<template>
  <div class="navsearch_container container-fluid">
    <NuxtLink to="/editar/perfil">Mi perfil</NuxtLink>
    <NuxtLink to="/" @click="logout" >Cerrar sesión</NuxtLink>
  </div>
</template>

<script>
import { useAuthStore } from '@/stores/auth'
export default {
  setup() {
    const auth = useAuthStore();
    return {
      auth,
    }
  },
  methods: {
    async logout() {
      await this.auth.logout()
    },
  },
}
</script>

<style lang="scss" scoped>
.navsearch_container {
  border-bottom: 3px solid $color-grey-nav;
  text-align: center;
  padding: 20px 20px;

  a {
    font-size: $m;
    font-weight: $bold;
    color: $color-navy;
    text-decoration: none;
  }
  a:nth-child(1):after {
    color: $color-navy;
    content: '\22EE';
    margin: 0.5rem;
  }
  @include mobile {
    display: none;
  }
}
</style>
